require 'spec_helper'

describe "fetprofiles/new", :type=> :view do
  foreach_theme do
  before(:each) do
    @fetprofile = FactoryGirl.create(:fetprofile_withadress,:skype => "myskypename")
    @memberships = []
  end

  it "renders the edit fetprofile form" do
    render

    # Run the generator again with the --webrat flag if you want to use webrat matchers
    expect(rendered).to have_tag('form', with: {method:"post"}) do
      with_tag "input", with: {name: "fetprofile[vorname]"}
      with_tag "input", with: {name: "fetprofile[nachname]"}
      with_tag "input", with: {name: "fetprofile[short]"}
      with_tag "textarea", with: {name: "fetprofile[desc]"}
     with_tag "input", with: {name: "fetprofile[picture]"}
     with_tag "input", with: {name: "fetprofile[picture_cache]"}
  
     with_tag "input", with: {name: "fetprofile[street]"}
      with_tag "input", with: {name: "fetprofile[plz]"}
      with_tag "input", with: {name: "fetprofile[city]"}
      with_tag "input", with: {name: "fetprofile[hdynr]"}
      with_tag "input", with: {name: "fetprofile[telnr]"}
      with_tag "input", with: {name: "fetprofile[skype]"}
      with_tag "input", with: {name: "fetprofile[birth_day]"}
      with_tag "input", with: {name: "fetprofile[birth_month]"}

    end
  end
  end
end

